com.independentsoft.exchange

## Class ExtendedProperty

- java.lang.Object
- - com.independentsoft.exchange.Property
  - - com.independentsoft.exchange.ExtendedProperty

-     public class ExtendedProperty
      extends Property

  Identifies extended MAPI properties on folders and items.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedProperty()` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath)` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, boolean value)` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, java.util.Date value)` Instantiates a new extended property.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, double value)` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, java.util.List<java.lang.String> values)` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, long value)` Initializes a new instance of the ExtendedProperty class.
    `ExtendedProperty(ExtendedPropertyPath propertyPath, java.lang.String value)` Initializes a new instance of the ExtendedProperty class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtendedPropertyPath` | `getPropertyPath()` Gets an extended MAPI property to get, set, or create.
    `void` | `setPropertyPath(ExtendedPropertyPath propertyPath)` Sets an extended MAPI property to get, set, or create.
    `java.lang.String` | `toString()` Converts the value of the current ExtendedProperty object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Property

      `getValue, getValues, setPropertyPath, setValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedProperty

          public ExtendedProperty()

      Initializes a new instance of the ExtendedProperty class.

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  java.lang.String value)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  long value)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  double value)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  boolean value)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  java.util.Date value)

      Instantiates a new extended property.
      Parameters:
        `propertyPath` - the property path
        `value` - the value

    - #### ExtendedProperty

          public ExtendedProperty(ExtendedPropertyPath propertyPath,
                                  java.util.List<java.lang.String> values)

      Initializes a new instance of the ExtendedProperty class.
      Parameters:
        `propertyPath` - the property path
        `values` - the values

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current ExtendedProperty object to its equivalent string representation.
      Overrides:
        `toString` in class `Property`
      Returns:
        the string

    - #### getPropertyPath

          public ExtendedPropertyPath getPropertyPath()

      Gets an extended MAPI property to get, set, or create.
      Overrides:
        `getPropertyPath` in class `Property`
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(ExtendedPropertyPath propertyPath)

      Sets an extended MAPI property to get, set, or create.
      Parameters:
        `propertyPath` - the new property path